System Properties overview

You can use System in Control Panel to do the following:

  • View and change settings that control how your computer uses memory.
  • Find information about hardware and device properties, as well as configure hardware profiles.
  • View and change driver signing options that determine how Windows handles unsigned device drivers.
  • View information about your network connection and logon profile.

You can change performance options that control how programs use memory, including paging file size, or environment variables that tell your computer where to find some types of information. Startup and recovery options indicate which operating system your computer uses when it starts and which actions it performs if the system stops unexpectedly.

Information about hardware and devices is also available in System. Use the Add Hardware Wizard to install non-Plug and Play hardware. Device Manager shows you which devices are installed on your computer and allows you to change device properties. You can also create hardware profiles for different hardware configurations.

Using System, you can view and modify network and logon information, such as your computer name or DNS domain name. You can also view or modify information about your domain or workgroup membership. A user profile contains the personal settings associated with your logon configuration.

You can configure your computer to report operating system, unplanned shutdown, and program errors to Microsoft or your system administrator so they can track and address the errors.

You must be logged on as an administrator to the local computer or have appropriate network permissions to make certain changes in System.

You can set many system properties on remote computers using System Properties in the Computer Management snap-in. For more information, see Related Topics.

Related Topics


Specify the default operating system for startup

Microsoft Windows graphic

To specify the default operating system for startup

  1. Open System in Control Panel.
  2. On the Advanced tab, under Startup and Recovery, click Settings.
  3. Under System startup, in the Default operating system list, click the operating system you want to start when you turn on or restart your computer.
  4. Select the Time to display list of operating systems check box, and then type the number of seconds you want the list to display before the default operating system starts automatically.

Notes

  • XOX
  • XOX
  • XOX
  • You can manually edit the startup options file (also known as the “boot options” file) on the Advanced tab, under Startup and Recovery, by clicking the Edit button. Microsoft strongly recommends that you do not modify the startup options file (boot.ini). Doing so may render your computer unusable.
  • You can remotely specify the default operating system for startup using System Properties in the Computer Management snap-in. For more information, see Related Topics.


Managing your computer's performance

Windows allocates resources according to its settings and manages devices accordingly. You can, however, change the way Windows uses computer memory and processor time to improve performance. You can also adjust the settings for your computer’s visual effects.

Managing computer memory

When your computer is running low on RAM and more is needed immediately, Windows uses hard drive space to simulate system RAM. This is known as virtual memory, and is often called the paging file. The paging file is similar to the UNIX swapfile. The default size of the virtual memory page file (named pagefile.sys) created during installation is 1.5 times the amount of RAM on your computer.

You can optimize virtual memory use by dividing the space between multiple drives and removing it from slower or heavily accessed drives. To best optimize your virtual memory space, divide it among as many physical hard drives as possible. When selecting drives, keep the following guidelines in mind:

  • Try to avoid having a page file on the same drive as the system files.
  • Avoid putting a page file on a fault-tolerant drive, such as a mirrored volume or a RAID-5 volume. Page files do not need fault-tolerance, and some fault-tolerant systems suffer from slow data writes because they write data to multiple locations.
  • Do not place multipage filesiles on different partitions on the same physical disk drive.

You can choose to optimize your computer's memory usage. If you use your computer primarily as a workstation, rather than as a server, you can devote more memory to your programs. Your programs will work faster and your system cache size will be the default size that came with Windows. If your computer is used primarily as a server, or if you use programs that require a larger cache, you can choose to set aside more computer memory for a larger system cache.

Managing processor time

System processing is managed by Windows, which can allocate tasks between processors, as well as manage multiple processes on a single processor. You can, however, set Windows to allocate more processor time to the program you are currently running. This can result in faster program response time. Or, if you have background programs, such as printing or disk backup that you want to run while you work, you can have Windows share processor resources equally between background and foreground programs.

Changing visual effects

Windows provides several options to set the visual effects of your computer. For example, you can choose to show shadows under menus, giving them a 3-D look. You can tell Windows to display the entire contents of a window while you move it on your screen. To make large text more readable, you can choose to display the smooth edges of screen fonts. You can also enable the Web view in your folders, which will display a list of hyperlinked tasks and information on the left side of the folder window. Windows provides options for enabling all of the settings (for best appearance), or none of the settings (for best computer performance). You can also restore the original default settings.


Changing the default paging file size on large-memory computers

If you have 4 gigabytes (GB) or more of memory on your server, you may want to change the default size of your paging file. On x86-based computers with 4 GB or more of physical memory there should be a paging file sufficiently large to capture a kernel memory dump. This is true even if there is little use of the paging file due to the majority of the memory being used by an Address Windowing Extensions (AWE) application.

When setting up the paging file on a large memory system, make the minimum and maximum page file sizes the same (for example, set Initial size (MB) to 2,050 MB and set Maximum size (MB) to 2,050 MB). This prevents the page file from getting fragmented on the hard drive, which might cause problems when writing a kernel memory dump to disk. A paging file size of at least 2,050 MB is the minimum size necessary for computers with 4 GB or more of physical memory to capture a complete kernel memory dump. The paging file can be much larger (up to three times the physical RAM is typical) if the system is being used for application consolidation. For instructions on changing the paging file size, see Change the size of the virtual memory paging file.

In computers with eight or more processors that have the maximum amount of RAM installed, you might be able to gain some incremental performance improvement by splitting the paging file into multiple paging files. Each paging file must be on a separate physical disk and for reliability, each disk should be part of a hardware RAID-5 volume.

For more information about dividing the paging file into multiple paging files, see "Troubleshooting Performance" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)


Change the size of the virtual memory paging file

To change the size of the virtual memory paging file

  1. Open System in Control Panel.
  2. On the Advanced tab, under Performance, click Settings.
  3. In the Performance Options dialog box, click the Advanced tab.
  4. Under Virtual memory, click Change.
  5. Under Drive [Volume Label], click the drive that contains the paging file you want to change.
  6. Under Paging file size for selected drive, click Custom size, and type a new paging file size in megabytes in the Initial size (MB) or Maximum size (MB) box, and then click Set.

    7. If you decrease the size of either the initial or maximum page file settings, you must restart your computer to see the effects of those changes. Increases typically do not require a restart.

Notes

  • XOX
  • XOX
  • XOX
  • To have Windows choose the best paging file size, click System managed size.
  • For best performance, do not set the initial size to less than the minimum recommended size under Total paging file size for all drives. The recommended size is equivalent to 1.5 times the amount of RAM on your system. You should leave the paging file at its recommended size, although you might increase its size if you routinely use programs that require a lot of memory.
  • To delete a paging file, set both initial size and maximum size to zero, or click No paging file. Microsoft strongly recommends that you do not disable or delete the paging file.
  • In computers with 8 or more processors that have the maximum amount of RAM installed, you might be able to gain some incremental performance improvement by splitting the paging file into multiple paging files. Each paging file must be on a separate physical disk and for reliability, each disk must be part of a hardware RAID-5 volume.
  • You can remotely change the size of the virtual memory paging file using System Properties in the Computer Management snap-in. For more information, see Related Topics.


Change the performance of foreground and background programs

To change the performance of foreground and background programs

  1. Open System in Control Panel.
  2. On the Advanced tab, under Performance, click Settings.
  3. In the Performance Options dialog box, click the Advanced tab.
  4. Under Processor scheduling, do one of the following:
    • Click Programs to assign more processor resources to the foreground program than the background program.
    • Click Background services to assign equal amounts of processor resources to all programs.

Notes

  • XOX
  • XOX
  • XOX
  • Choosing the Programs option will result in a smoother, faster response time for your foreground program. If you want a background task, such as a Backup utility, to run faster, choose the Background services option.
  • The Programs option allocates short, variable time slices, or quanta, to running programs, while the Background services option assigns long, fixed quanta.
  • You can remotely change the performance of foreground and background programs using System Properties in the Computer Management snap-in. For more information, see Related Topics.


Setting environment variables

Environment variables are strings that contain information such as drive, path, or file name. They control the behavior of various programs. For example, the TEMP environment variable specifies the location in which programs place temporary files.

Any user can add, modify, or remove a user environment variable. However, only an administrator can add, modify, or remove a system environment variable.

Using System in Control Panel, you can customize the following variables:

  • User environment variables for logged_on_user_name

    • The user environment variables are different for each user of a particular computer. The variables include any that are set by the user, as well as any variables defined by programs, such as the path to the location of the program files.

  • System environment variables

    • Administrators can change or add environment variables that apply to the system, and thus to all system users. During installation, Windows Setup configures the default system variables, such as the number of processors and the location of the temp directories.

Caution

  • Do not add directories to the Path system variable unless you know they are secure because a malicious user could place a Trojan horse or other malicious program in that directory. When executed by Windows, such a file could compromise sensitive data, cause data loss, or cause a partial or total system failure.


Add or change the values of environment variables

To add or change the values of environment variables

  1. Open System in Control Panel.
  2. On the Advanced tab, click Environment Variables, then click the name of the user variable or system variable you want to change, as follows. Click one of the following:
    • New to add a new variable name and value.
    • Edit to change a current variable name and value.
    • Delete to remove a variable name and value.

Caution

  • Do not add directories to the Path system variable unless you know they are secure because a malicious user could place a Trojan horse or other malicious program in that directory. When executed by Windows, such a file could compromise sensitive data, cause data loss, or cause a partial or total system failure.

Notes

  • XOX

    If you are not logged on as administrator to the local computer, the only environment variables you can change are user variables.

  • XOX
  • XOX
  • Windows saves changes in the registry so they are available automatically the next time you start your computer.
  • Changing user variables changes them only for the logged-on user. For example, if you use run as to log on as administrator and you change user variables, only the variables for the administrator account are changed. Changing system variables, however, changes them for every user.
  • You might have to close and reopen running programs for the new settings to take effect.
  • You can remotely add or change the values of environment variables using System Properties in the Computer Management snap-in. For more information, see Related Topics.


Choosing recovery actions if Windows stops unexpectedly

Using Startup and Recovery in System in Control Panel, you can configure Windows to do the following when a severe error (called a Stop error or Fatal system error) occurs:

  • Write an event to the system log.
  • Alert administrators.
  • Dump system memory to a file that advanced users can use for debugging.
  • Automatically restart the computer.

The dump of system memory to a log file can be valuable for debugging the cause of the Stop error. If you contact your technical support representatives about the error, they might ask for the log file. Note that Windows writes the log file to the same file name (Memory.dmp, by default) each time a Stop error occurs. To preserve log files, you should rename the log file with a unique name after the computer restarts. XOX


Specify what happens when the system stops unexpectedly

To specify what happens when the system stops unexpectedly

  1. Open System in Control Panel.
  2. On the Advanced tab, under Startup and Recovery, click Settings.
  3. Under System startup, select the Time to display recovery options when needed check box, and then type the number of seconds you want the list of recovery options to display before the default recovery option is automatically selected.
  4. Under System failure, select the check boxes that correspond to the actions you want Windows to perform if a Stop error occurs:
    • Write an event to the system log specifies that event information will be recorded in the system log.

      On computers running XOX, you can enable or disable this feature. On computers running the Windows Server 2003 family of operating systems, however, you cannot disable this feature. Windows always writes event information to the system log.

    • Send an administrative alert specifies that the system administrator will be notified when a Stop error occurs. Windows uses the net send command to send an alert message over the network to the system administrator. For more information about the net send command, see Related Topics.
    • Automatically restart specifies that Windows will automatically restart your computer.
  5. Under Write debugging information, choose the type of information you want Windows to record when the system stops unexpectedly:

    6. Small memory dump

    Records the smallest amount of information that will help identify the problem. This option requires a paging file of at least 2 MB on the boot volume of your computer. If you choose this option, Windows creates a new file (64 KB or 128 KB in size) each time the system stops unexpectedly. A history of these files is stored in the directory listed under Small dump directory.

    Kernel memory dump

    Records only kernel memory, which stores more information than a small memory dump but takes less time to complete than the complete memory dump when the system stops unexpectedly. The file is stored in the directory listed under Dump file. If you choose this option you must have a sufficiently large paging file on the boot volume. The required size depends on the amount of RAM in your computer (although the maximum amount of space that must be available for a kernel memory dump on a 32-bit system is 2 GB plus 16 MB. On a 64-bit system, the maximum amount of space that must be available for a kernel memory dump is the size of the RAM plus 128 MB). The following table provides guidelines:

    RAM size | Paging file should be no smaller than
256 MB–1,373 MB | 1.5 times the RAM size
1,374 MB or greater | 32-bit system: 2 GB plus 16 MB 64-bit system: size of the RAM plus 128 MB

    Complete memory dump

    Not available on computers with 2 or more GB of RAM. Records the entire contents of system memory when the system stops unexpectedly. If you choose this option you must have a paging file on the boot volume large enough to hold all of the physical RAM plus eleven megabytes (MB). The file is stored in the directory listed under Dump file.

Notes

  • XOX
  • XOX
  • XOX
  • You must have at least a 2-MB paging file on the computer's boot volume if you select Write an event to the system log or Send an administrative alert.
  • If you choose Kernel memory dump, be sure not to set the paging file smaller than the sizes listed in the procedure, or you might not capture the information you need.
  • If you choose either Kernel memory dump or Complete memory dump and select the Overwrite any existing file check box, Windows always writes to the same file name. To save individual dump files, clear the Overwrite any existing file check box and change the file name after each Stop error.
  • When setting memory dump options, check your settings for the size of the paging file on the boot volume. Set the file size according to the preceding guidelines. For information about how to set the size of the paging file, see Related Topics.

    It is recommended that you use the same value for both the minimum size and the maximum size of the paging file. This prevents the file from constantly growing and shrinking, which in turn prevents unnecessary disk fragmentation.

  • Memory dumps might contain sensitive information, so you should store them in a secure location and limit the number of users who can access them. When you transfer a memory dump across the network or send a memory dump over the Internet, always use a secure file-transfer mechanism to guard against the file being compromised by a malicious user. For example, you can use the Encrypting File System (EFS) or Internet Protocol security (IPSec) to encrypt the memory dump and securely transfer it to another computer. For more information about EFS or IPSec, see Related Topics.
  • In computers with eight or more processors that have the maximum amount of RAM installed, you might be able to gain some incremental performance improvement by splitting the paging file into multiple paging files. Each paging file must be on a separate physical disk and for reliability, each disk must be part of a hardware RAID-5 volume. For more information about changing the size of the virtual memory paging file, see Related Topics.
  • You can save memory by clearing the Write an event to the system log and Send an administrative alert check boxes. The memory saved depends on the computer, but these features typically require about 60 KB to 70 KB.
  • If you contact Microsoft Product Support Services about a Stop error, they might ask for the memory dump file created when the Stop error occurred.


Create a hardware profile

To create a hardware profile

  1. Open System in Control Panel.
  2. On the Hardware tab, click Hardware Profiles.
  3. Under Available hardware profiles, click Profile 1 (Current), and then click Copy.
  4. Type a name for the new hardware profile, and then click OK.
  5. You can customize your new profile by enabling or disabling devices for that profile in Device Manager. For more information about Device Manager, click Related Topics.

Notes

  • XOX
  • XOX
  • XOX
  • The profile named Profile 1 (Current) provides a model for you to create new hardware profiles. It will not appear in the list of available hardware profiles shown during startup.


Copy, rename, or delete a hardware profile

To view properties of, copy, rename, or delete a hardware profile

  1. Open System in Control Panel.
  2. On the Hardware tab, click Hardware Profiles.
  3. Under Available hardware profiles, click the existing hardware profile you want, and do one of the following. Click:
    • Properties to open the Properties dialog box, and specify whether the computer is a portable computer, whether it is docked or undocked, and whether to include the profile each time you start the computer.
    • Copy to open the Copy Profile dialog box, and type a new name for the copy.
    • Rename to open the Rename Profile dialog box, and type a new name for the selected profile.
    • Delete to remove the selected profile.

Notes

  • XOX
  • XOX
  • XOX


Specify the default hardware profile for startup

To specify the default hardware profile for startup

  1. Open System in Control Panel.
  2. On the Hardware tab, click Hardware Profiles.
  3. Under Available hardware profiles, use the arrow buttons to move the hardware profile you want to use as the default into the top position in the list. During startup, Windows will load only the device drivers for hardware devices that are enabled in the profile you select.
  4. Under Hardware profiles selection, click one of the options that specifies how long Windows waits before automatically loading the default hardware profile.

Notes

  • XOX
  • XOX
  • XOX
  • If you want the default hardware profile to load automatically without showing you the list during startup, enter a 0 in seconds under Hardware profiles selection. If you decide later to select a different hardware profile, press the SPACEBAR during startup and choose a profile from the list.


Copy a user profile

To copy a user profile

  1. Open System in Control Panel.
  2. On the Advanced tab, under User Profiles, click Settings.
  3. Under Profiles stored on this computer, click the user profile you want to copy, and then click Copy To.
  4. Do one or more of the following:

    5. To specify where the new profile will be saved

    • In Copy profile to, type the location for the new profile, or click Browse to select the path.

    To specify who is permitted to use the copied profile

    1. In Permitted to use, click Change.
    2. In the Select User or Group dialog box, in Enter the object name to select, add the user, group, or built-in security principle or click Object Types to select an object type.

      3. To specify a domain to search, in the Select User or Group dialog box, click Locations, and then select the domain.

      To further narrow your search, in the Select User or Group dialog box, click Advanced.

    3. Click OK

Notes

  • XOX
  • XOX
  • XOX
  • You cannot copy or delete a user profile that belongs to the currently logged on user or any user whose profile is in use.
  • If you copy the profile to a new location, you must update the User Profile Path entry for the user's account to refer to this new location as well.
  • You cannot use Windows Explorer or any other file management utility to copy user profiles.
  • You can issue a network default user profile for all new users in the domain. For more information about creating a preconfigured user profile, see Related Topics.


Delete a user profile

To delete a user profile

  1. Open System in Control Panel.
  2. On the Advanced tab, under User Profiles, click Settings.
  3. Under Profiles stored on this computer, click the user profile you want to delete, and then click Delete.

Notes

  • XOX
  • XOX
  • XOX
  • You cannot copy or delete a user profile that belongs to the currently logged on user or any user whose profile is in use.
  • You can delete a roaming user profile by taking ownership of the profile's folder on the domain controller and then deleting it. This does not remove roaming profile information that has been downloaded to any of the computers in that domain. Downloaded profile information must be deleted individually from each computer.


Create a preconfigured user profile

To create a preconfigured user profile

  1. Create a new user account that will be used as a template for the preconfigured user profile.

    For more information, see To create a new user account.

  2. Log on as the new user, then customize the desktop and install applications to configure this user's profile for the user profile template.
  3. Log off, and then log on as the administrator.
  4. Open System in Control Panel.
  5. On the Advanced tab, under User Profiles, click Settings.
  6. Under Profiles stored on this computer, select the user that you created in step 1, and click Copy To.
    • If you want a domain-wide default profile, enter the path to NETLOGON\Default User on the domain controller. This creates the default user profile for the domain.
    • If you want to change the default profile for the local computer only, copy the profile to the systemroot\Documents and Settings\Default User folder.
  7. In the Copy To dialog box, under Permitted to use, click Change.
  8. In the Select User or Group dialog box, in Enter the object name to select, type Everyone.

    This sets the profile as the default for everyone in this domain.

Caution

  • If you are using a roaming profile and install a program on one computer while simultaneously logged on to another computer, you might overwrite crucial program-related registry settings stored in your roaming profile, thus preventing you from running those programs.

    For example: You are logged on to computer A and computer B. You install a program on computer B and then log off computer B. Computer B stores the shortcuts for the application, and the registry is saved to your roaming profile. Computer A does not get updated profile information until you log off and log on again.

    When you log off from computer A, however, the computer writes to the registry stored in the roaming profile (which now includes the Microsoft Windows Installer (MSI) registration for the program you installed on computer B) with the stale registry information from computer A. The program shortcuts remain in your roaming profile but the Windows Installer data stored in the registry settings is lost, preventing you from running the programs.

    You can repair your roaming profile by repairing or reinstalling the program on computer B or by installing the program on computer A.

Notes

  • XOX
  • XOX
  • XOX
  • You cannot copy or delete a user profile that belongs to the currently logged on user or any user whose profile is in use.
  • The first time a user logs on, a copy of the preconfigured user profile is returned from the server instead of a copy of the default profile on the local computer. Thereafter, the user profile functions the same as a standard roaming user profile does. Each time the user logs off, the user profile is saved locally and is also copied to the server.
  • The Windows Server 2003 family of operating systems does not support the use of encrypted files within the roaming user profiles.
  • Roaming user profiles used with Terminal Services clients are not replicated to the server until the interactive user logs off and the interactive session is closed.


Switch between a roaming and local user profile

To switch between a roaming and local user profile

  1. Open System in Control Panel.
  2. On the Advanced tab, under User Profiles, click Settings.
  3. Under Profiles stored on this computer, click the user profile you want to change, and then click Change Type.
  4. Select Roaming profile or Local profile.

Notes

  • XOX
  • XOX
  • XOX
  • If Roaming profile is unavailable, the profile is a local user profile. See your Windows system administrator to create a roaming user profile. For more information about how to create roaming user profiles, see Related Topics.
  • If you use a roaming user profile on more than one computer simultaneously, the profile preserves the registry settings from the computer you log off from last.


Join a domain

To join a domain

  1. Open System in Control Panel.
  2. On the Computer Name tab, click Change.
  3. Under Member of, click Domain, type the name of the domain you want to join, and then click OK.

    You will be prompted to provide a user name and user password to join the computer to the domain.

  4. Click OK to close the System Properties dialog box.

    You will be prompted to restart your computer to apply your changes.

Notes

  • XOX
  • XOX
  • XOX
  • To join the computer to an Active Directory domain, you must have permissions to create a computer account or to join the computer to an account pre-created by the administrator.

    For more information about Active Directory, or about domains in Active Directory, see Related Topics.

  • Computers that are domain controllers must be demoted before their domain membership can be changed.
  • On XOX, you can also use the Network Identification Wizard to join a domain. To use the wizard, perform Step 1 above. On the Computer Name tab, click Network ID, and follow the instructions on your screen. You cannot join computers running XOX to a domain.
  • If your computer does not have TCP/IP networking installed, or it has other networking protocols installed (without TCP/IP), the computer name must be in uppercase 15 or fewer bytes long (depending on which characters are used and the language set as the Language for non-Unicode programs in Regional and Language Options in Control Panel). For more information about how to set the language for non-Unicode programs, see Related Topics.
  • If your computer has TCP/IP networking installed, the computer name can be up to 63 bytes long (depending on which characters are used and the language set as the Language for non-Unicode programs in Regional and Language Options in Control Panel) but should only contain the numbers 0-9, the letters A-Z and a-z, and hyphens. You can use other characters, but doing so might prevent other users from finding your computer on the network. If your network is using a Microsoft DNS server, you can use any characters except periods. For more information about how to set the language for non-Unicode programs, see Related Topics.
  • Microsoft recommends using computer names that are shorter than 16 bytes. If you want to specify a computer name that is longer than 15 bytes and you want to join your computer to a domain that includes Windows 2000 domain controllers, the domain administrator should enable longer names in the computer account of the Active Directory domain.
  • If you rename your computer or workgroup when it is disconnected from the network, duplicate computer names might result. Check with your network administrator before renaming your computer.


Join a workgroup

To join a workgroup

  1. Open System in Control Panel.
  2. On the Computer Name tab, click Change.
  3. Under Member of, click Workgroup, type the name of the workgroup that you want to join, and then click OK.

    If your computer was a member of a domain, Windows prompts you for the user name and password of an account with permission to delete the computer account from the domain.

    If the account you provide does not have permission to remove the computer account from the domain, the computer is disjoined from the domain and moved to the workgroup, but the computer account is left in place on the domain. This may prevent Kerberos authentication to a computer with the same NetBIOS name joined to a different domain within the same forest.

  4. Click OK to close the System Properties dialog box.

    You will be prompted to restart your computer to apply your changes.

Notes

  • XOX
  • XOX
  • XOX
  • A workgroup name must not be the same as the computer name. A workgroup name can be 15 or fewer bytes long, but it cannot contain any of the following symbols: colon, semicolon, double quotation marks, angle brackets, asterisk, plus sign, equals sign, backslash, pipe bar, question mark, and comma
  • Computers that are domain controllers must be demoted before their domain membership can be changed.
  • If the computer is disjoined or unjoined from the domain, any certificates issued from a certification authority (CA) in the previous domain remain in the computer's certificate store. These certificates should be revoked by the CA administrator. For more information, see Related Topics.
  • If your computer does not have TCP/IP networking installed or has other networking protocols installed (without TCP/IP), the computer name must be in uppercase letters 15 or fewer bytes long (depending on which characters are used and the language set as the Language for non-Unicode programs in Regional and Language Options in Control Panel). For more information about how to set the language for non-Unicode programs, see Related Topics.


Rename a computer

To rename a computer

  1. Open System in Control Panel.
  2. On the Computer Name tab, click Change.
  3. Under Computer name, type a new name for the computer, and then click OK.

    If the computer is a member of a domain, you will be prompted to provide a user name and user password to rename the computer in the domain.

  4. Click OK to close the System Properties dialog box.

    You will be prompted to restart your computer to apply your changes.

Important

  • If the computer you want to rename is a domain controller, see To rename a domain controller.

Notes

  • XOX
  • XOX
  • XOX
  • You must have permissions to rename the computer account for this computer in Active Directory.
  • The new computer name must not coincide with the name of a computer object that already exists in the domain.
  • A computer joining a Windows domain must use the name created for it by the network administrator, unless you have a user name and password with rights to create computer accounts.
  • If you supplied a valid user name and password for a secure Windows domain, the domain membership will be automatically updated with the new computer name.
  • Microsoft recommends using computer names that are shorter than 16 bytes. If you want to specify a computer name longer than 15 bytes and you want to join your computer to a domain that includes Windows 2000 domain controllers, the domain administrator should enable longer names in the computer account of the Active Directory domain.
  • If you rename your computer or workgroup when it is disconnected from the network, duplicate computer names might result. Check with your network administrator before renaming your computer.


Change the DNS suffix of your computer

To change the DNS suffix of your computer

  1. Open System in Control Panel.
  2. On the Computer Name tab, click Change.
  3. Click More.
  4. Under Primary DNS suffix of this computer, type the DNS suffix you want to use.
  5. If you want your computer to automatically update the DNS suffix if you become a member of a different Windows domain, select the Change primary DNS suffix when domain membership changes check box.
  6. Click OK to close the DNS Suffix and NetBIOS Computer Name dialog box.
  7. Click OK to close the System Properties dialog box.

    You will be prompted to restart your computer to apply your changes.

Notes

  • XOX
  • XOX
  • XOX
  • The default setting for the local primary DNS suffix is the same as the Active Directory domain name. Changing the DNS suffix will not affect your domain membership, but it could prevent other users from finding your computer on the network and authenticating your computer. If you make the primary DNS suffix of the computer different from the Active Directory domain name, contact your network administrator to ensure that the new computer name can be registered in DNS and that the Active Directory domain allows computers to have a primary DNS suffix that is different than the Active Directory DNS domain names.
  • A full computer name, which includes the computer name and the primary DNS suffix, can be as long as 255 bytes, including periods.
  • If you join your computer to an Active Directory domain and the Change primary DNS suffix when domain membership changes check box is selected, the DNS suffix is updated to show a new DNS suffix that matches the new Windows secure domain you are joining. For example, if you create a DNS suffix called MyDomain for membership in your current domain and join an Active Directory domain called example.microsoft.com, then the new DNS suffix, (example.microsoft.com), is displayed under Primary DNS suffix of this computer. This new DNS suffix replaces the previous name (MyDomain) you created for membership under your old domain.

    Microsoft recommends using the default value for the primary DNS suffix. For more information about DNS, see Related Topics.

  • If this computer belongs to a group with Group Policy enabled on the Primary DNS suffix of this computer, the string specified in Group Policy is used as the primary DNS suffix. The local setting is used only if Group Policy is disabled or unspecified. When the computer is joined to a domain that defines such a policy, you must restart the computer twice for the policy setting to take effect. After the computer is restarted the first time, the policy settings are copied to the computer from the domain. When the computer is restarted the second time, the policy settings take effect. For more information about Group Policy, see Related Topics.


System and program error reporting overview

Error reporting helps Microsoft® track and address errors. You can configure error reporting to send Microsoft specific error information and to generate reports for operating system errors, Windows® component errors or program errors. An operating system error causes the computer to display a Stop error screen with error codes. A program or component error causes the program or component to stop working.

If you have an Internet connection, you can report these errors directly to Microsoft. You can configure error reporting to respond to program errors in one of two ways: as soon as an error occurs, the error reporting dialog box can prompt any user to send the error to Microsoft, or the next time an administrator logs on, the error reporting dialog box can prompt the administrator to send the error report to Microsoft.

Windows treats operating system errors and unplanned shutdowns differently from the way it does program errors. When operating system errors or unplanned shutdowns occur, Windows writes the error information to a log file. The next time an administrator logs on, the error reporting dialog box prompts them to report the error.

When you send an error report to Microsoft over the Internet, you provide technical information that programming groups at Microsoft use to enhance future versions of the product. This data is used for quality control purposes only and is not used for tracking individual users or installations for any marketing purpose. If information is available to help you solve the problem, Windows displays an Error Reporting dialog box with a link to that information.

Alternatively, if your organization has configured Group Policy, administrators in your information technology (IT) department can use Corporate Error Reporting to collect and report to Microsoft only those errors that they think are important. Administrators configure workstations and servers for Corporate Error Reporting by enabling the Report Errors policy setting and configuring the Corporate upload file path to the local file server where the Corporate Error Reporting tool is installed. When errors occur, they are automatically redirected to this file server. Administrators can then review the error information, identify the important data, and submit it to Microsoft using the Corporate Error Reporting tool. You can download the Corporate Error Reporting tool from the Office XP Resource Kit Web site (http://www.microsoft.com/). For more information about how to enable and configure policy settings using the Group Policy Object Editor snap-in, see Related Topics.


Enable error reporting

To enable error reporting

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting.
  3. Click Enable error reporting, and then select one or more of the following check boxes:

    4. Windows operating system

    Enables administrators to report operating system errors to Microsoft over the Internet. When an operating system error occurs, the computer displays a Stop error, and all computer operations stop. The error reporting dialog box is displayed when you restart the computer and log on as an administrator.

    Unplanned computer shutdowns

    Enables administrators to report computer shutdown errors to Microsoft over the Internet.

    Programs

    Enables any user to report program errors to Microsoft over the Internet unless Force queue mode for program errors is set. To specify programs for which to report errors, click Choose Programs, and then select one or more of the following options:

    • All programs to include all programs in error reporting.
    • All programs in this list to specify the programs for which to report errors. Select one or more of the following options:
      • Programs from Microsoft to report errors in Microsoft programs.
      • Windows components to report errors in Windows components.
    • Click Add to select individual programs for error reporting. Type the program's executable name, such as winword.exe for Microsoft Word. If you do not know the program's executable name, click Browse, locate the folder that contains the program, and then double-click the file that has the extension .exe, or that lists the file type as executables.

    Force queue mode for program errors

    Reports program errors in queued mode. The queued mode displays the last ten errors the next time the administrator logs on to the computer. Each error is displayed in its own window so the administrator can choose the errors to report to Microsoft over the Internet.

Notes

  • XOX
  • XOX
  • XOX
  • You must have an Internet connection to report problems to Microsoft. XOX
  • If your organization has configured Group Policy, you can set the error reporting policy settings using the Group Policy Object Editor snap-in. For more information about how to enable and configure policy settings using the Group Policy Object Editor snap-in, click Related Topics.
  • If your organization has configured Group Policy and you want to use Corporate Error Reporting, you must use the Group Policy Object Editor snap-in to enable the Report Errors policy setting and configure the Corporate upload file path to the local file server where the Corporate Error Reporting tool is installed. When errors occur, they are automatically redirected to this file server.

    You can download the Corporate Error Reporting tool from the Office XP Resource Kit Web site (http://www.microsoft.com/).

    For more information about how to enable and configure policy settings using the Group Policy Object Editor snap-in, click Related Topics.


Disable error reporting

To disable error reporting

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting, and then click Disable error reporting.
  3. To have Windows continue to notify you when an error occurs, even when error reporting is turned off, select the But notify me when critical errors occur check box.

Notes

  • XOX
  • XOX
  • XOX
  • If your organization has configured Group Policy, you can disable error reporting by using the Group Policy Object Editor snap-in to configure the error reporting policy settings. For more information about how to enable and configure policy settings using the Group Policy Object Editor snap-in, click Related Topics.


Exclude programs from error reporting

To exclude programs from error reporting

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting.
  3. Select Enable error reporting, and then click Choose Programs.
  4. Under Do not report errors for these programs, click Add.
  5. Type the program's executable name, such as winword.exe for Microsoft Word. If you do not know the program's executable name, click Browse, locate the folder that contains the program, and then double-click the file that has the extension .exe or that has the file type executables.

Notes

  • XOX
  • XOX
  • XOX
  • To remove a program from the Do not report errors for these programs list, click the program you want to remove, and then click Remove.
  • If your organization has configured Group Policy, you can exclude programs from error reporting by using the Group Policy Object Editor snap-in to configure the error reporting policy settings. For more information about how to enable and configure policy settings using the Group Policy Object Editor snap-in, click Related Topics.


Remove a program from the error reporting list

To remove a program from the error reporting list

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting.
  3. Select Enable error reporting, and then click Choose Programs.
  4. Select All programs in this list, click the program you want to remove, and then click Remove.

Notes

  • XOX
  • XOX
  • XOX


Send an error report to Microsoft

To send an error report to Microsoft

  1. In the Error Report dialog box, click Send Error Report.
  2. Review the information displayed and then click Report.

Notes

  • XOX
  • The Error Report dialog box is only displayed when a system or program error occurs. If a system error occurs that results in the computer displaying a Stop error, the Error Report dialog box is displayed when you restart the computer.
  • You must have an Internet connection to report problems to Microsoft. XOX


Driver signing for Windows

Device drivers and operating system files included with Windows have a Microsoft digital signature. The digital signature indicates that a particular driver or file has met a certain level of testing and that it was not altered or overwritten by another program's installation process. Device drivers for hardware products that have the Designed for Microsoft Windows XP or Designed for Microsoft Windows Server 2003 logos have a digital signature from Microsoft which indicates that the product was tested for compatibility with Windows and has not been altered since testing. For more information about the Designed for Microsoft Windows logo, see Related Topics.

Depending on how your administrator configured your computer, Windows either ignores device drivers that are not digitally signed, displays a warning when it detects device drivers that are not digitally signed (the default behavior), or prevents you from installing device drivers that do not have digital signatures.

Windows includes the following features to ensure that your device drivers and system files remain in their original, digitally-signed state:

  • Windows File Protection
  • System File Checker
  • File Signature Verification


Set file signature verification options

To set file signature verification options

  1. Open System in Control Panel.
  2. On the Hardware tab, click Driver Signing.
  3. Under What action do you want Windows to take, click:
    • Ignore to allow all device drivers to be installed on this computer, regardless of whether they have a digital signature. This option is unavailable unless you are logged on as an administrator or as a member of the Administrators group.
    • Warn to display a warning message whenever an installation program or Windows attempts to install a device driver without a digital signature. This is the default behavior for Windows.
    • Block to prevent an installation program or Windows from installing device drivers without a digital signature.
  4. If you are a logged on as an administrator or as a member of the Administrators group, under Administrator option, click Make this action the system default to apply the selected setting as the default for all users who log on to this computer.

Notes

  • XOX
  • XOX
  • XOX
  • If your organization has configured Group Policy, you can use the Group Policy Object Editor snap-in to configure file signature verification options in the Code signing for device drivers policy setting. For more information about how to enable and configure policy settings using the Group Policy Object Editor snap-in, click Related Topics.


Designed for Microsoft Windows logo

Hardware products displaying the Designed for Microsoft Windows XP or Designed for Microsoft Windows Server 2003 logos have been tested for compatibility with Microsoft Windows operating systems through use of Microsoft-provided testing procedures. For the best performance, Microsoft recommends using hardware products that display the Designed for Microsoft Windows XP or Designed for Microsoft Windows Server 2003 logos on the external packaging and on the device itself.

Designed for Microsoft Windows XP logo Designed for Microsoft Windows Server 2003 logo

Device drivers for hardware products with the Designed for Microsoft Windows XP or Designed for Microsoft Windows Server 2003 logos have a digital signature from Microsoft, indicating that the product was tested for compatibility with Windows and has not been altered since testing. For information on accessing the latest updates, including security fixes, service packs, new Help files, and device drivers, see Support resources. You may also want to contact the hardware vendor directly and ask for a device driver that has met the Designed for Microsoft Windows XP or Designed for Microsoft Windows Server 2003 logo requirements. For more information, visit the Microsoft Windows Logo Program (go to http://www.microsoft.com/ and search for "Windows logo program") on the Microsoft Web site.

Caution

  • Microsoft strongly recommends that you use only device drivers with the Designed for Microsoft Windows XP or Designed for Microsoft Windows Server 2003 logos. Installing device drivers that have not been digitally-signed by Microsoft might disable the system, allow viruses onto your computer, or otherwise impair the correct operation of your computer either immediately or in the future.